﻿using System;
using System.Globalization;
using System.Threading;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            #region 이벤트를 설정한다.

            Load                   += Form_Load;
            this.parseButton.Click += parseButton_Click;

            #endregion
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 폼 로드시 처리하기 - Form_Load(sender, e)

        /// <summary>
        /// 폼 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Form_Load(object sender, EventArgs e)
        {
            CultureInfo cultureInfo = new CultureInfo("DE-de");
            
            Thread.CurrentThread.CurrentCulture = cultureInfo;

            this.floatTextBox.Text    = (3.14).ToString();
            this.currencyTextBox.Text = (13.37).ToString("C");
            this.dateTextBox.Text     = DateTime.Today.ToShortDateString();
            this.timeTextBox.Text     = DateTime.Now.ToShortTimeString();
        }

        #endregion
        #region 파싱하기 버튼 클릭시 처리하기 - parseButton_Click(sender, e)

        /// <summary>
        /// 파싱하기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void parseButton_Click(object sender, EventArgs e)
        {
            float    number   = float.Parse(this.floatTextBox.Text);
            decimal  currency = decimal.Parse(currencyTextBox.Text, NumberStyles.Any);
            DateTime date     = DateTime.Parse(dateTextBox.Text);
            DateTime time     = DateTime.Parse(timeTextBox.Text);

            Console.WriteLine(number);
            Console.WriteLine(currency.ToString("C"));
            Console.WriteLine(date.ToShortDateString());
            Console.WriteLine(time.ToShortTimeString());
        }

        #endregion
    }
}